<?php
error_reporting(E_ALL ^ E_NOTICE);
header("Access-Control-Allow-Methods: GET, POST");

include_once '../conexion.php';
//include_once '../clases/TokenValidator.php';

// Validar token del usuario
//$usuarioId = TokenValidator::validar($conn);

try {
    $stmt = $conn->prepare("SELECT refrescar_mv_productoalmacen()");
    $stmt->execute();

    $resultado = [
        "ESTADO" => "1",
        "MENSAJE" => "Vista materializada 'mv_productoalmacen' actualizada correctamente"
    ];
} catch (Exception $e) {
    $resultado = [
        "ESTADO" => "0",
        "MENSAJE" => "ERROR al refrescar vista: " . $e->getMessage()
    ];
}

$conn = null;
header("Content-Type: application/json; charset=UTF-8");
echo json_encode($resultado, JSON_PRETTY_PRINT);
